LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
TextConversion Service Referencepublished

offers generic text conversion. More...

`import"TextConversion.idl";`

Inheritance diagram for TextConversion:

## Additional Inherited Members
Public Member Functions inherited from XExtendedTextConversion
string | getConversionWithOffset ([in] string aText, [in] long nStartPos, [in] long nLength, [in] ::com::sun::star::lang::Locale aLocale, [in] short nTextConversionType, [in] long nTextConversionOptions, [out] sequence< long > rOffset) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| The functionality of this method is same as com::sun::star::i18n::XTextConversion::getConversion(), except an additional output parameter rOffset. More...
Public Member Functions inherited from XTextConversion
TextConversionResult | getConversions ([in] string aText, [in] long nStartPos, [in] long nLength, [in] ::com::sun::star::lang::Locale Locale, [in] short nTextConversionType, [in] long nTextConversionOptions) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Method to search dictionaries for the conversion candidates. More...
string | getConversion ([in] string aText, [in] long nStartPos, [in] long nLength, [in] ::com::sun::star::lang::Locale Locale, [in] short nTextConversionType, [in] long nTextConversionOptions) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Method to search dictionaries for the conversion candidate, if there are multiple candidates, it will return first one. More...
boolean | interactiveConversion ([in] ::com::sun::star::lang::Locale Locale, [in] short nTextConversionType, [in] long nTextConversionOptions) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Method to query if the conversion type should be interactive or non-interactive mode. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers generic text conversion.

This is an abstract service which does not make sense to be instantiated.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/i18n/TextConversion.idl